# 建筑数字孪生平台

建筑数字孪生平台 后台代码框架及服务

## 最低需求
Java 1.8或更高版本:

* [OracleJDK 8.0](https://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html)
* [OpenJDK8.0](https://openjdk.java.net/install/)

## 使用maven
```xml
<dependency>
    <groupId>com.persagy</groupId>
    <artifactId>dmp-server</artifactId>
    <version>1.0.0</version>
</dependency>
```

## 直接下载JAR
你可以到maven仓库直接下载最新版的 [JAR](http://47.93.132.139:8081/nexus/content/repositories/persagy/com/persagy/dmp-server/1.0.0/) 。

## 快速入门示例

## 总体设计文档
下面链接是完整的总体设计文档

* [总体设计-v1.0.0](https://thoughts.teambition.com/share/61440c717c9caa0041c18c1e#title=BDTP-数据服务-总体设计-v1.0.0)

## API文档

下面链接是完整的API文档

* [API完整文档](http://39.102.54.110:9009/)

### API文档: 通用说明文档
* [`通用查询说明`](http://39.102.54.110:9009/utils/common.html#%E9%80%9A%E7%94%A8%E6%9F%A5%E8%AF%A2%E8%AF%B4%E6%98%8E)
* [`错误码列表`](http://39.102.54.110:9009/utils/common.html#%E9%94%99%E8%AF%AF%E7%A0%81%E5%88%97%E8%A1%A8)
* [`知识库类型`](http://39.102.54.110:9009/utils/common.html#%E7%A0%81%E8%A1%A8%E7%B1%BB%E5%9E%8B-%E7%9F%A5%E8%AF%86%E5%BA%93%E7%B1%BB%E5%9E%8B)
* [`对象类型`](http://39.102.54.110:9009/utils/common.html#%E5%AF%B9%E8%B1%A1%E7%B1%BB%E5%9E%8B-%E5%AF%B9%E5%BA%94objtype%E5%AD%97%E6%AE%B5)

### API文档: 物理世界
* [`特殊说明`](http://39.102.54.110:9009/rwd/api.html#%E7%89%B9%E6%AE%8A%E8%AF%B4%E6%98%8E)
* [`对象接口`](http://39.102.54.110:9009/rwd/api.html#%E7%89%A9%E7%90%86%E4%B8%96%E7%95%8C%E5%AF%B9%E8%B1%A1%E6%8E%A5%E5%8F%A3)
* [`关系接口`](http://39.102.54.110:9009/rwd/api.html#%E5%AF%B9%E8%B1%A1%E5%85%B3%E7%B3%BB%E6%8E%A5%E5%8F%A3)
* [`图类型接口`](http://39.102.54.110:9009/rwd/api.html#%E5%9B%BE%E7%B1%BB%E5%9E%8B%E6%8E%A5%E5%8F%A3)
* [`边类型接口`](http://39.102.54.110:9009/rwd/api.html#%E8%BE%B9%E7%B1%BB%E5%9E%8B%E6%8E%A5%E5%8F%A3)
* [`对象信息点接口`](http://39.102.54.110:9009/rwd/api.html#%E5%AF%B9%E8%B1%A1%E4%BF%A1%E6%81%AF%E7%82%B9%E6%8E%A5%E5%8F%A3)
* [`对象类型接口`](http://39.102.54.110:9009/rwd/api.html#%E5%AF%B9%E8%B1%A1%E7%B1%BB%E5%9E%8B%E5%AE%9A%E4%B9%89%E6%8E%A5%E5%8F%A3)
* [`动态数据接口`](http://39.102.54.110:9009/rwd/api.html#iot%E6%8E%A5%E5%8F%A3)
* [`数据结构`](http://39.102.54.110:9009/rwd/data_structure.html#%E6%95%B0%E6%8D%AE%E7%BB%93%E6%9E%84)

### API文档: 标准字典
* [`版本管理`](http://39.102.54.110:9009/version/version_api.html#%E7%89%88%E6%9C%AC%E7%AE%A1%E7%90%86%E6%8E%A5%E5%8F%A3)
* [`需求管理`](http://39.102.54.110:9009/version/demand_api.html#%E9%9C%80%E6%B1%82%E7%AE%A1%E7%90%86)
* [`数据结构`](http://39.102.54.110:9009/version/data_structure_description.html#%E6%95%B0%E6%8D%AE%E7%BB%93%E6%9E%84)

### API文档: 文件服务
* [`文件管理接口`](http://39.102.54.110:9009/file/file_api.html#%E6%96%87%E4%BB%B6%E7%AE%A1%E7%90%86%E6%8E%A5%E5%8F%A3)
* [`数据结构`](http://39.102.54.110:9009/file/data_structure_description.html#%E6%95%B0%E6%8D%AE%E7%BB%93%E6%9E%84)

## 了解更多
* [BDTP文档库](https://thoughts.teambition.com/workspaces/60d13af603ec01004637da05/overview)
