package com.persagy.dmp.rwd.demand.entity;

import com.persagy.dmp.common.lang.PsDate;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 需求回复参数
 * @author Charlie Yu
 * @date 2021-09-16
 */
@Data
public class AnswerDemandVO {

    /** 需求IDs */
    @NotNull(message = "主键不允许为空")
    List<String> ids;
    /** 需求状态 -  2:已接受 3:已拒绝 4:待完善 5:论证中 */
    @NotNull(message = "需求状态不允许为空")
    Integer billState;
    /** 回复人 */
    @NotNull(message = "回复人不允许为空")
    String respondent;
    /** 回复内容 */
    String reply;
    /** 预计回复日期 */
    PsDate estimateTime;
}
