package com.persagy.dmp.rwd.demand.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.common.lang.PsDate;
import com.persagy.dmp.rwd.demand.entity.DictionaryDemand;

import java.util.List;

/**
 * 字典需求 服务
 * @author Charlie Yu
 * @date 2021-09-16
 */
public interface IDictionaryDemandService extends IService<DictionaryDemand> {

    /**
     * 保存/提交
     * @param vo
     * @param submitFlag
     * @return
     */
    DictionaryDemand saveOrSubmit(DictionaryDemand vo, Boolean submitFlag);

    /**
     * 通过id删除
     * @param ids
     */
    void deleteByIds(List<String> ids);

    /**
     * 答复
     * @param ids 需求IDs
     * @param state 答复状态
     * @param reply 答复信息
     * @param date 预计答复日期
     * @return
     */
    List<DictionaryDemand> answer(List<String> ids, Integer state, String respondent, String reply, PsDate date);
}
