package com.persagy.dmp.rwd.define.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.basic.dto.DefineRequestData;
import com.persagy.dmp.basic.model.QueryCriteria;
import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.define.entity.DigitalEquipClassRel;

import java.util.List;

/***
 * Description: 项目设备类关系对象逻辑处理类
 * @author : lijie
 * @date :2021/9/14 21:09
 * Update By lijie 2021/9/14 21:09
 */
public interface DigitalEquipClassRelService extends IService<DigitalEquipClassRel> {
    /***
     * Description: 创建设备类关系对象
     * @param vo : 设备类关系对象
     * @return : com.persagy.dmp.define.entity.DigitalEquipClassRel
     * @author : lijie
     * @date :2021/9/14 21:09
     * Update By lijie 2021/9/14 21:09
     */
    List<DigitalEquipClassRel> create(List<DigitalEquipClassRel> vo);
    /***
     * Description: 根据条件查询设备类关系对象列表
     * @param criteria : 查询条件
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.util.List<com.persagy.dmp.define.entity.DigitalEquipClassRel>>
     * @author : lijie
     * @date :2021/9/14 21:14
     * Update By lijie 2021/9/14 21:14
     */
    CommonResult<List<DigitalEquipClassRel>> query(QueryCriteria criteria);
    /***
     * Description: 根据边关系名称查询项目对象类型关系列表
     * @param defineRequestData : 请求参数
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.util.List<com.persagy.dmp.define.entity.DigitalEquipClassRel>>
     * @author : lijie
     * @date :2021/9/15 11:38
     * Update By lijie 2021/9/15 11:38
     */
    CommonResult<List<DigitalEquipClassRel>> queryListByRelNames(DefineRequestData defineRequestData);
}
