package com.persagy.dmp.rwd.define.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.define.entity.GraphDefine;
import com.persagy.dmp.define.entity.ObjectInfoCollect;

import java.util.List;

/**
 * 平台、项目级信息点采集
 * @author:linhuili
 * @date:2021/10/13
 */
public interface IObjectInfoCollectService extends IService<ObjectInfoCollect> {

    /**
     * 按条件计数
     * @param queryWrapper 查询条件
     * @return 结果数量
     */
    Integer queryCount(Wrapper<ObjectInfoCollect> queryWrapper);

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 返回结果
     */
    List<ObjectInfoCollect> queryByCondition(Wrapper<ObjectInfoCollect> queryWrapper);

    /**
     * 分页条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectInfoCollect> queryWrapper);

    /**
     * 新增
     * @param voList 待新增数据
     * @return 新增后数据
     */
    List<ObjectInfoCollect> insert(List<ObjectInfoCollect> voList) throws Exception ;

    /**
     * 修改
     * @param voList 待修改数据
     * @return 修改后数据
     */
    List<ObjectInfoCollect> update(List<ObjectInfoCollect> voList) throws Exception;

    /**
     * 删除
     * @param idList 主键
     */
    void delete(List<String> idList);
}
