CREATE TABLE IF NOT EXISTS `dt_file_info`(
 `id` varchar(64) NOT NULL COMMENT 'id',
 `group_code` varchar(100) NOT NULL COMMENT '集团编码：租户',
 `file_name` varchar(128) NOT NULL COMMENT '文件名称:显示用',
 `file_type` varchar(2) NOT NULL DEFAULT '0' COMMENT '文件类型：0-文件，1-目录',
 `file_bucket` varchar(64) NOT NULL DEFAULT '0' COMMENT '文件分组:默认为应用名',
 `file_path` varchar(512) NULL DEFAULT NULL COMMENT '文件路径含文件名称-对应文件存储路径',
 `file_size` int(0) NOT NULL DEFAULT 0 COMMENT '文件大小',
 `file_md5` varchar(64) NULL DEFAULT NULL COMMENT '文件的md5值',
 `upload_status` int(0) NOT NULL DEFAULT 0 COMMENT '文件上传状态,0.上传完成,1.已上传部分',
 `business_id` varchar(32) NULL DEFAULT NULL COMMENT '关联业务Id',
 `expire_date` char(8) NULL DEFAULT NULL COMMENT '保留期限',
 `creator` varchar(32) NULL DEFAULT NULL COMMENT '创建人',
 `creation_time` char(14) NULL DEFAULT NULL COMMENT '创建时间',
 `modifier` varchar(32) NULL DEFAULT NULL COMMENT '最后修改人',
 `modified_time` char(14) NULL DEFAULT NULL COMMENT '最后修改时间',
 `valid` int(0) NULL DEFAULT NULL COMMENT '合法标识',
 `ts` timestamp(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '乐观锁',
 PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COMMENT = '文件信息';