package com.persagy.dmp.message.model.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * 消息类型
 * @author Charlie Yu
 * @date 2021-05-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_message_type", autoResultMap = true)
public class MessageType extends BaseEntity {

    /** 消息类型编码 */
    @NotNull(message = "消息类型编码不允许为空")
    @Length(max = 40)
    private String typeCode;

    /** 消息类型名称 */
    @NotNull(message = "消息类型名称不允许为空")
    @Length(max = 40)
    private String typeName;

    /** 消息发送渠道 - MessageChannelEnum */
    @NotNull(message = "消息发送渠道不能为空")
    @Length(max = 255)
    private String sendChannel;

    /** 备注 */
    private String remark;
}
