package com.persagy.dmp.message.model.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * 发送渠道注册信息
 * @author Charlie Yu
 * @date 2021-05-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_message_send_register", autoResultMap = true)
public class SenderRegister extends BaseEntity {

    /** 发送渠道编码 */
    @NotNull(message = "发送渠道编码不允许为空")
    @Length(max = 40)
    private String code;
    /** 发送渠道名称 */
    @NotNull(message = "发送渠道名称不允许为空")
    @Length(max = 255)
    private String name;
    /** accessKey */
    private String accessKey;
    /** accessSecret */
    private String accessSecret;
    /** 扩展参数 */
    private String extra;
    /** 发送消息实现类 IMessageSender */
    private String clazz;

}
