package com.persagy.dmp.basic.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.dmp.basic.validations.QueryClassCodeVadition;
import com.persagy.dmp.basic.validations.QueryFloorIdVadition;
import com.persagy.dmp.basic.validations.QuerySpaceIdVadition;
import com.persagy.dmp.basic.validations.QuerySystemIdVadition;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.List;
import java.util.Set;

/***
 * @Description: 统一的定义请求体封装对象
 * @author: lijie
 * @Date:2020/7/9 10:35
 * Update By lijie 2020/7/9 10:35
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DefineRequestData {

    /**账号id*/
    @JsonAlias({"user_id"})
    @JsonProperty("userId")
    @JSONField(name = "userId",alternateNames = {"user_id"})
    private String userId;
    /** 边类型名称数组 */
    @JsonAlias({"relNames"})
    @JsonProperty("relNames")
    @JSONField(name = "relNames",alternateNames = {"rel_names","relNames"})
    private Set<String> relNames;
}
