package com.persagy.dmp.basic.dto;

import lombok.Data;

import java.util.List;

/***
 * Description: 关系规则DTO
 * @author : lijie
 * @date :2021/9/7 20:45
 * Update By lijie 2021/9/7 20:45
 */
@Data
public class RelationCalRuleDTO {
    /**计算规则类型,
     * 1-通过关系链计算,
     * 2-通过平面图坐标计算,
     * 3-通过对象+已存在的关系数据进行计算,
     * 4-楼层连通关系计算,
     * 5-竖井连通关系计算,
     * 6-空间连通关系计算
     * */
    private String calRuleType;
    /**计算规则类型为1时的关系计算链*/
    private List<RelationCalDTO> dependentRelChain;
    /**计算规则类型为2时的坐标计算信息点code*/
    private CoordinateCalInfo graphCalInfo;
    /**计算规则类型为3时的计算器*/
    private RelExtendCalDTO relExtendCal;
    /**计算规则类型为6时的计算器*/
    private SpaceConnectionCalDTO spaceConnectionCal;








}
