package com.persagy.dmp.define.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.persagy.dmp.basic.dto.GraphParentMes;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * 图例定义
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_define_graph", autoResultMap = true)
public class GraphDefine extends AuditableEntity {
    /** 编码 */
    @NotNull(message = "编码不允许为空")
    @Length(max = 40)
    private String code;
    /** 名称 */
    @NotNull(message = "名称不允许为空")
    @Length(max = 200)
    private String name;
    /** 一级分类 */
    private String firstCategory;
    /** 二级分类 */
    private String secondCategory;
    /** 分类说明 */
    private String remark;
    /** 关系两侧对象类别 */
    private String objectTypes;
    /** 二级类别信息,用于分组使用 */
    @TableField(value = "second_category_mes",typeHandler = JacksonTypeHandler.class)
    private GraphParentMes secondCategoryMes;
}
