package com.persagy.dmp.define.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * 平台/项目级采集的信息点定义
 * @author linhuili
 * @date 2021-10-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_define_info_collect", autoResultMap = true)
public class ObjectInfoCollect extends AuditableEntity {
    /** 集团编码 */
    private String groupCode;
    /** 项目ID 0-平台级 1-项目级 */
    private String projectId;
    /** 关联信息点id */
    @NotNull(message = "信息点ID不能为空")
    private String defineInfoId;
    /** 信息点编码 */
    private String code;
    /** 信息点类型 */
    private String classCode;
    /** 是否可见 true -可见 false-不可见 */
    private Boolean visiable;

}
