package com.persagy.dmp.digital.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @TableName dt_connected_block_source
 */
@TableName(value ="dt_connected_block_source")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ConnectedBlockSource extends AuditableEntity<ConnectedBlockSource> {

    /**
     * 集团编码
     */
    @TableField(value = "group_code")
    private String groupCode;

    /**
     * 项目id
     */
    @TableField(value = "project_id")
    private String projectId;

    /**
     * 分块id
     */
    @TableField(value = "block_id")
    private String blockId;

    /**
     * 被指定的源的id, 是uuid并非模型上的id
     */
    @TableField(value = "source_id")
    private String sourceId;

    /**
     * 被指定的源的类型
     */
    @TableField(value = "source_type")
    private String sourceType;

    /**
     * 系统类型
     */
    @TableField(value = "mep_system_type")
    private String mepSystemType;

    /**
     * 域
     */
    @TableField(value = "domain")
    private String domain;

    /**
     * 建筑id
     */
    @TableField(value = "building_id")
    private String buildingId;

    /**
     * true是源, false是末端
     */
    @TableField(value = "source_flag")
    private Boolean sourceFlag;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}