package com.persagy.dmp.file.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.lang.PsDate;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 文件对象
 * @author Charlie Yu
 * @date 2021-05-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_file_info", autoResultMap = true)
public class FileInfo extends AuditableEntity<FileInfo> {

    /** 集团编码：租户 */
    private String groupCode;
    /** 文件名称:显示用 */
    private String fileName;
    /** 文件类型：0-文件，1-目录 */
    private String fileType;
    /** 文件分组:默认为应用名 */
    private String fileBucket;
    /** 文件路径：含文件名称 - 对应文件存储路径 */
    private String filePath;
    /** 文件大小 */
    private Long fileSize;
    /** 文件的md5值 */
    private String fileMd5;
    /** 文件上传状态,0.上传完成 1.已上传部分 */
    private Integer uploadStatus;
    /** 关联业务Id */
    private String businessId;
    /** 保留期限 */
    private PsDate expireDate;
    /** 分片序号 */
    @TableField(exist = false)
    private Integer partNumber;
    /** 上传地址 */
    @TableField(exist = false)
    private String uploadUrl;
}
